<?php

/**
 * @file
 * Contains \Drupal\per_user_block\EventSubscriber\BlockContext
 */

namespace Drupal\per_user_block\EventSubscriber;

use Drupal\block\Event\BlockContextEvent;
use Drupal\block\Event\BlockEvents;
use Drupal\Core\Plugin\Context\Context;
use Drupal\Core\Plugin\Context\ContextDefinition;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class BlockContext implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public function onBlockAdministrativeContext(BlockContextEvent $event) {
    $context = new Context(new ContextDefinition('entity:block'));
    $event->setContext('block', $context);
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[BlockEvents::ADMINISTRATIVE_CONTEXT][] = 'onBlockAdministrativeContext';
    return $events;
  }

}
